/* FOR ENTIRE PAGE CONTENT*/
html, body, main {
    /* FILL ENTIRE VIEWPORT*/
    height:100vh; 
    width:100vw;
    /* ENSURE NO PADDING OR MARGINS */
    margin:0;
    padding:0;
    /* ONLY SHOW WHAT FITS IN VIEWPORT */
    overflow: hidden;
    /* SET Z-Index TO BE BEHIND EVERYTHING */
    z-index: -2;
}
/*******************************************************************/
.centerContents {
    display: flex;
    justify-content: center;
    align-items:center;
}
.leftAlign { justify-content: flex-start; }
.rightAlign { justify-content: flex-end; }

/* Used to remove dots for all ul/li */
ul { list-style-type: none; }
/* Used to make sizing include padding & border */
* {box-sizing:border-box} 
/*******************************************************************/
/* Use this class on the img tag you want as the background img*/
.bgImg {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}
/*******************************************************************/
/* NAVBAR, MAINVIEW, & FOOTER CSS START */
#rowNav, #rowFoot { height: 10%; width: 100%; background-color: black;}
#rowView { height: 80%; width: 100%; background-color: black;}

#rowNav {
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
}
#rowView {
    font-family: Arial, Helvetica, sans-serif;
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: center;
    overflow-y: auto;
    color: #C8C8C8;
}
#rowFoot {
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-start;
    align-items: flex-end;
    padding-left: 10px;
    color: #C8C8C8;
}
/* NAVBAR, MAINVIEW, & FOOTER CSS END */
/*******************************************************************/

/*******************************************************************/
/* CSS START */

/* NAV CSS */
.navBTN {
    width: 20%;
    height: 100%;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    color: #C8C8C8;
    cursor: pointer;
}
.navBTN:hover {
    color: red;
    opacity: 55%;
}
#navlogo {
    width: 100%;
    height: 100%;
}


/* SECTIONS */
.dataSection {
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    height:100%;
    width: 100%;
    color:#C8C8C8;
}


/* ABOUT CSS */
#OGSHERO {
    width:90%;
}
#AboutHeader {
    width:100%;
    height: 40%;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;  
}
#AboutBody {
    width: 90%;
    height: 40%;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-evenly;
    align-items: center;  
}
#AboutCTA {
    display: flex;
    justify-content: center;
    align-items:center;
    width: 25%;
    height: 25%;
    border-radius: 25px;
    cursor: pointer;
    background: red;
    color: #C8C8C8;
    font-weight: bold;
}
#AboutCTA:hover {
    opacity: 55%;
}





/* SERVICES CSS */
#servicesHeader {
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
    width: 100%;
    color: red;
}
#servicesBody {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-around;
    align-items: stretch;
    width: 100%;
}

.servicesType {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: center;
    width: 45%;
    padding: 5px;
}
.servicesChunk {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    height: 50%;
    padding: 5px;
}


/* TEAM CSS*/
#TeamHeader {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    height: 30%;
    padding: 5px;
}
#TeamBody {
  width: 100%;
  height: 60%;
}

/* Hide slides by default */
.mySlides {
    display: none;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    height: 100%;
  }
.bio {
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: stretch;
    color: #f2f2f2;
    font-size: 15px;
    padding: 8px 12px;
    bottom: 8px;
    height: 60%;
    width: 100%;
    text-align: center;
}
.avatarCTR {
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 50%;
}
.funfacts {
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 50%;
}
/* Caption text */
.text {
    color: #f2f2f2;
    font-size: 15px;
    padding: 8px 12px;
    bottom: 8px;
    height: 30%;
    width: 100%;
    text-align: center;
}
.text h2 {
    color: red;
}

/* SLIDESHOW CSS*/
/* Next & previous buttons */
.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: #C8C8C8;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}
/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}
/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
  background-color: rgba(0,0,0,0.8);
}
/* The dots/bullets/indicators */
.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}
.active, .dot:hover {
  background-color: #717171;
}
/* Fading animation */
.fade {
  -webkit-animation-name: fade;
  -webkit-animation-duration: 1.5s;
  animation-name: fade;
  animation-duration: 1.5s;
}
@-webkit-keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}
@keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}






/* CONTACT FORM CSS*/
/* Style inputs with type="text" and textareas */
input[type=text], textarea {
    width: 100%; /* Full width */
    padding: 12px; /* Some padding */ 
    border: 1px solid #ccc; /* Gray border */
    border-radius: 4px; /* Rounded borders */
    box-sizing: border-box; /* Make sure that padding and width stays in place */
    margin-top: 6px; /* Add a top margin */
    margin-bottom: 16px; /* Bottom margin */
    resize: vertical /* Allow the user to vertically resize the textarea (not horizontally) */
}
/* Style the submit button with a specific background color etc */
input[type=submit] {
    background-color: red;
    color:#C8C8C8;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}
/* When moving the mouse over the submit button, add a darker green color */
input[type=submit]:hover {
    opacity: 55%;
}
/* CSS END */
/*******************************************************************/